aboutsummaryrefslogtreecommitdiffstats
path: root/main/libxdamage/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-09-27 14:19:28 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-09-27 14:22:26 +0000
commit1751d6595597f1d9101cac04e54f20d95790f4f4 (patch)
treee895c3aa71985691256eca03cf4f7cdfeb0d966b /main/libxdamage/APKBUILD
parentee152f9e0dce8017d033e01e018f1482d27e7e1d (diff)
downloadaports-1751d6595597f1d9101cac04e54f20d95790f4f4.tar.gz
aports-1751d6595597f1d9101cac04e54f20d95790f4f4.tar.bz2
aports-1751d6595597f1d9101cac04e54f20d95790f4f4.tar.xz
main/[various]: fix build against musl (add update_config_sub)
Diffstat (limited to 'main/libxdamage/APKBUILD')
-rw-r--r--main/libxdamage/APKBUILD11
1 files changed, 9 insertions, 2 deletions
diff --git a/main/libxdamage/APKBUILD b/main/libxdamage/APKBUILD
index 0ddd9126a9..39d328bbca 100644
--- a/main/libxdamage/APKBUILD
+++ b/main/libxdamage/APKBUILD
@@ -7,13 +7,20 @@ url="http://xorg.freedesktop.org/"
arch="all"
license="custom"
depends=
+depends_dev="xproto damageproto libxfixes-dev libx11-dev fixesproto"
makedepends="pkgconfig libxfixes-dev damageproto xextproto"
subpackages="$pkgname-dev"
source="http://xorg.freedesktop.org/releases/individual/lib/libXdamage-$pkgver.tar.bz2"
-depends_dev="xproto damageproto libxfixes-dev libx11-dev fixesproto"
+_builddir="$srcdir/libXdamage-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+
build() {
- cd "$srcdir"/libXdamage-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \